# Freeclimb::LogResult

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**timestamp** | **Integer** | Time that the log was generated. The time is represented as microseconds since the Unix Epoch. | [optional] 
**level** | **String** | Level of the log. Possible values are info, warning, and error. | [optional] 
**request_id** | **String** | ID of the request associated with the log. The requestId is propagated across all logs generated by FreeClimb when processing a request. | [optional] 
**account_id** | **String** | ID of the account that this log was generated under. | [optional] 
**call_id** | **String** | ID of the Call associated with the log. Can be set to null if the log was generated without regard to a specific Call. | [optional] 
**message** | **String** | A simple string describing the event being logged. | [optional] 
**metadata** | [**Object**](.md) | JSON document containing metadata about the event. Some log messages may include request and response header content in this field. | [optional] 

## Code Sample

```ruby
require 'freeclimb'

instance = Freeclimb::LogResult.new(timestamp: nil,
                                 level: nil,
                                 request_id: nil,
                                 account_id: nil,
                                 call_id: nil,
                                 message: nil,
                                 metadata: nil)
```


